Bug 14434 - OPAC should indicate to patrons that auto renewal will not work because hold has been placed
Summary: OPAC should indicate to patrons that auto renewal will not work because hold ...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Holger Meißner
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-22 15:26 UTC by Christopher Davis
Modified: 2017-12-07 22:16 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Example screenshot of OPAC renewal message (176.73 KB, image/png)
2015-06-22 15:26 UTC, Christopher Davis
Details
Bug 14434: Display "On hold" in OPAC for auto renewed items (2.24 KB, patch)
2016-08-15 09:31 UTC, Holger Meißner
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 14434: Display "On hold" in OPAC for auto renewed items (2.32 KB, patch)
2016-08-16 15:32 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 14434: Display "Not renewable (on hold)" in OPAC (2.34 KB, patch)
2016-08-25 08:19 UTC, Holger Meißner
Details | Diff | Splinter Review
Bug 14434: Display "Not renewable (on hold)" in OPAC (3.20 KB, patch)
2016-08-25 08:29 UTC, Holger Meißner
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 14434: Display "Not renewable (on hold)" in OPAC (3.29 KB, patch)
2016-08-25 14:39 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 14434: Display "Not renewable (on hold)" in OPAC (3.34 KB, patch)
2016-08-26 09:51 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Davis 2015-06-22 15:26:22 UTC
Created attachment 40486 [details]
Example screenshot of OPAC renewal message

Dear Colleagues,

When an item has a hold placed on it and a patron is logged into the OPAC, the OPAC only displays "Automatic renewal (x of y renewals remaining)", but does not indicate that the automatic renewal will not take place due to the fact that another patron has placed a hold on the item in question. If the logged-in patron clicks/taps on the "Renew all" link found in the upper-right corner of the "Checked out" tab, then the OPAC finally indicates that the item cannot be renewed and gives the reason why it cannot. I think that this will confuse the patron into thinking that the loan on their item will eventually be renewed automatically, when in reality, the loan will not be renewed because of the hold placed on the item.

The OPAC should indicate on the "Checked out" tab that the item in question cannot, and will not, be renewal because a hold is placed on the said item.

FWIW,

Christopher Davis, MLS
Systems & E-Services Librarian
Uintah County Library
Comment 1 Marc Véron 2016-03-30 13:02:28 UTC
No longer valid on current master (Fixed by Bug 3083 ?)
Comment 2 Eric Phetteplace 2016-06-10 19:06:21 UTC
The bug that Marc links to does not address this issue, which specifically has to do with auto-renewal. Yes, if auto-renewal is turned off and a hold is placed on an item, there's a warning to the patron. This warning does not appear when auto-renewal is on however, instead it appears to the patron as if they can continue renewing. Christopher clearly outlined this in the original bug report and screenshot and it is not fixed on master.
Comment 3 Holger Meißner 2016-08-15 09:31:42 UTC Comment hidden (obsolete)
Comment 4 Héctor Eduardo Castro Avalos 2016-08-15 16:45:31 UTC
I think that "On hold" isn't clear yet. Maybe something like "Not renewable (On hold)" would be much better.
Comment 5 Holger Meißner 2016-08-16 15:17:38 UTC
"On hold" is what is displayed for manual renewals when a hold is placed. I think it should be the same for auto renewals. Otherwise the patron might have regular items that are "on hold" and auto-renewed items that are "not renewable (on hold)".

So maybe the wording should be changed/discussed in another bug? This one is just about adding the standard information that was missing.
Comment 6 Marc Véron 2016-08-16 15:22:31 UTC
+1 for a new bug regarding the wording
Comment 7 Héctor Eduardo Castro Avalos 2016-08-16 15:32:50 UTC Comment hidden (obsolete)
Comment 8 Jonathan Druart 2016-08-22 14:21:29 UTC
The test case already exists a few lines after.
What you want to do is to move it before the ELSIF ISSUE.auto_renew tests, not to add another one.
Comment 9 Holger Meißner 2016-08-25 08:18:56 UTC
Oops. Sorry about that. And now that I realized it's actually the same code for both cases, I used "Not renewable (on hold)" as Héctor suggested. I hope that's okay :)
Comment 10 Holger Meißner 2016-08-25 08:19:40 UTC Comment hidden (obsolete)
Comment 11 Holger Meißner 2016-08-25 08:29:43 UTC Comment hidden (obsolete)
Comment 12 Héctor Eduardo Castro Avalos 2016-08-25 14:39:28 UTC Comment hidden (obsolete)
Comment 13 Jonathan Druart 2016-08-26 09:51:43 UTC
Created attachment 54915 [details] [review]
Bug 14434: Display "Not renewable (on hold)" in OPAC

This patch makes the OPAC display "Not renewable (on hold)" when
a hold is placed.

Test plan:
1) Do not apply patch.
2) Issue an item with automatic renewal.
3) Issue an item with manual renewal.
4) Place a hold on both items.
5) Log in as patron and note that the column "Renew" says "Automatic
   renewal (x of y renewals remaining)" for the auto renewed item
   and "(On hold) for the other item.
6) Apply patch.
7) Refresh OPAC and note that now "Not renewable (on hold)" is displayed
   for both items.
8) Cancel the holds, then log in as patron again and confirm that the
   correct renewal conditions are displayed.

Sponsored-by: Hochschule für Gesundheit (hsg), Germany
Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 14 Kyle M Hall 2016-09-02 15:45:39 UTC
Pushed to master for 16.11, thanks Holger!
Comment 15 Frédéric Demians 2016-09-08 19:52:42 UTC
Pushed in 16.05. Will be in 16.05.04.
Comment 16 Julian Maurice 2016-09-16 07:04:42 UTC
Pushed to 3.22.x, will be in 3.22.11